Login
Login-Name Passwort


 
Newsletter
Werbung

Sicherheit: Zwei Probleme in PHP
Aktuelle Meldungen Distributionen
Name: Zwei Probleme in PHP
ID: RHSA-2015:0021-01
Distribution: Red Hat
Plattformen: Red Hat Enterprise Linux
Datum: Do, 8. Januar 2015, 23:07
Referenzen: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2014-3669
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2014-3670

Originalnachricht

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

=====================================================================
Red Hat Security Advisory

Synopsis: Important: php security update
Advisory ID: RHSA-2015:0021-01
Product: Red Hat Enterprise Linux
Advisory URL: https://rhn.redhat.com/errata/RHSA-2015-0021.html
Issue date: 2015-01-08
CVE Names: CVE-2014-3669 CVE-2014-3670
=====================================================================

1. Summary:

Updated php packages that fix two security issues are now available for
Red Hat Enterprise Linux 6.5 Extended Update Support.

Red Hat Product Security has rated this update as having Important security
impact. Common Vulnerability Scoring System (CVSS) base scores, which give
detailed severity ratings, are available for each vulnerability from the
CVE links in the References section.

2. Relevant releases/architectures:

Red Hat Enterprise Linux Compute Node Optional EUS (v. 6.5) - x86_64
Red Hat Enterprise Linux HPC Node EUS (v. 6.5) - x86_64
Red Hat Enterprise Linux Server EUS (v. 6.5) - i386, ppc64, s390x, x86_64
Red Hat Enterprise Linux Server Optional EUS (v. 6.5) - i386, ppc64, s390x,
x86_64

3. Description:

PHP is an HTML-embedded scripting language commonly used with the Apache
HTTP Server.

A buffer overflow flaw was found in the Exif extension. A specially crafted
JPEG or TIFF file could cause a PHP application using the exif_thumbnail()
function to crash or, possibly, execute arbitrary code with the privileges
of the user running that PHP application. (CVE-2014-3670)

An integer overflow flaw was found in the way custom objects were
unserialized. Specially crafted input processed by the unserialize()
function could cause a PHP application to crash. (CVE-2014-3669)

All php users are advised to upgrade to these updated packages, which
contain backported patches to correct these issues. After installing the
updated packages, the httpd daemon must be restarted for the update to
take effect.

4. Solution:

Before applying this update, make sure all previously released errata
relevant to your system have been applied.

This update is available via the Red Hat Network. Details on how to use the
Red Hat Network to apply this update are available at
https://access.redhat.com/articles/11258

5. Bugs fixed (https://bugzilla.redhat.com/):

1154500 - CVE-2014-3669 php: integer overflow in unserialize()
1154502 - CVE-2014-3670 php: heap corruption issue in exif_thumbnail()

6. Package List:

Red Hat Enterprise Linux HPC Node EUS (v. 6.5):

Source:
php-5.3.3-27.el6_5.3.src.rpm

x86_64:
php-cli-5.3.3-27.el6_5.3.x86_64.rpm
php-common-5.3.3-27.el6_5.3.x86_64.rpm
php-debuginfo-5.3.3-27.el6_5.3.x86_64.rpm

Red Hat Enterprise Linux Compute Node Optional EUS (v. 6.5):

Source:
php-5.3.3-27.el6_5.3.src.rpm

x86_64:
php-5.3.3-27.el6_5.3.x86_64.rpm
php-bcmath-5.3.3-27.el6_5.3.x86_64.rpm
php-dba-5.3.3-27.el6_5.3.x86_64.rpm
php-debuginfo-5.3.3-27.el6_5.3.x86_64.rpm
php-devel-5.3.3-27.el6_5.3.x86_64.rpm
php-embedded-5.3.3-27.el6_5.3.x86_64.rpm
php-enchant-5.3.3-27.el6_5.3.x86_64.rpm
php-fpm-5.3.3-27.el6_5.3.x86_64.rpm
php-gd-5.3.3-27.el6_5.3.x86_64.rpm
php-imap-5.3.3-27.el6_5.3.x86_64.rpm
php-intl-5.3.3-27.el6_5.3.x86_64.rpm
php-ldap-5.3.3-27.el6_5.3.x86_64.rpm
php-mbstring-5.3.3-27.el6_5.3.x86_64.rpm
php-mysql-5.3.3-27.el6_5.3.x86_64.rpm
php-odbc-5.3.3-27.el6_5.3.x86_64.rpm
php-pdo-5.3.3-27.el6_5.3.x86_64.rpm
php-pgsql-5.3.3-27.el6_5.3.x86_64.rpm
php-process-5.3.3-27.el6_5.3.x86_64.rpm
php-pspell-5.3.3-27.el6_5.3.x86_64.rpm
php-recode-5.3.3-27.el6_5.3.x86_64.rpm
php-snmp-5.3.3-27.el6_5.3.x86_64.rpm
php-soap-5.3.3-27.el6_5.3.x86_64.rpm
php-tidy-5.3.3-27.el6_5.3.x86_64.rpm
php-xml-5.3.3-27.el6_5.3.x86_64.rpm
php-xmlrpc-5.3.3-27.el6_5.3.x86_64.rpm
php-zts-5.3.3-27.el6_5.3.x86_64.rpm

Red Hat Enterprise Linux Server EUS (v. 6.5):

Source:
php-5.3.3-27.el6_5.3.src.rpm

i386:
php-5.3.3-27.el6_5.3.i686.rpm
php-cli-5.3.3-27.el6_5.3.i686.rpm
php-common-5.3.3-27.el6_5.3.i686.rpm
php-debuginfo-5.3.3-27.el6_5.3.i686.rpm
php-gd-5.3.3-27.el6_5.3.i686.rpm
php-ldap-5.3.3-27.el6_5.3.i686.rpm
php-mysql-5.3.3-27.el6_5.3.i686.rpm
php-odbc-5.3.3-27.el6_5.3.i686.rpm
php-pdo-5.3.3-27.el6_5.3.i686.rpm
php-pgsql-5.3.3-27.el6_5.3.i686.rpm
php-soap-5.3.3-27.el6_5.3.i686.rpm
php-xml-5.3.3-27.el6_5.3.i686.rpm
php-xmlrpc-5.3.3-27.el6_5.3.i686.rpm

ppc64:
php-5.3.3-27.el6_5.3.ppc64.rpm
php-cli-5.3.3-27.el6_5.3.ppc64.rpm
php-common-5.3.3-27.el6_5.3.ppc64.rpm
php-debuginfo-5.3.3-27.el6_5.3.ppc64.rpm
php-gd-5.3.3-27.el6_5.3.ppc64.rpm
php-ldap-5.3.3-27.el6_5.3.ppc64.rpm
php-mysql-5.3.3-27.el6_5.3.ppc64.rpm
php-odbc-5.3.3-27.el6_5.3.ppc64.rpm
php-pdo-5.3.3-27.el6_5.3.ppc64.rpm
php-pgsql-5.3.3-27.el6_5.3.ppc64.rpm
php-soap-5.3.3-27.el6_5.3.ppc64.rpm
php-xml-5.3.3-27.el6_5.3.ppc64.rpm
php-xmlrpc-5.3.3-27.el6_5.3.ppc64.rpm

s390x:
php-5.3.3-27.el6_5.3.s390x.rpm
php-cli-5.3.3-27.el6_5.3.s390x.rpm
php-common-5.3.3-27.el6_5.3.s390x.rpm
php-debuginfo-5.3.3-27.el6_5.3.s390x.rpm
php-gd-5.3.3-27.el6_5.3.s390x.rpm
php-ldap-5.3.3-27.el6_5.3.s390x.rpm
php-mysql-5.3.3-27.el6_5.3.s390x.rpm
php-odbc-5.3.3-27.el6_5.3.s390x.rpm
php-pdo-5.3.3-27.el6_5.3.s390x.rpm
php-pgsql-5.3.3-27.el6_5.3.s390x.rpm
php-soap-5.3.3-27.el6_5.3.s390x.rpm
php-xml-5.3.3-27.el6_5.3.s390x.rpm
php-xmlrpc-5.3.3-27.el6_5.3.s390x.rpm

x86_64:
php-5.3.3-27.el6_5.3.x86_64.rpm
php-cli-5.3.3-27.el6_5.3.x86_64.rpm
php-common-5.3.3-27.el6_5.3.x86_64.rpm
php-debuginfo-5.3.3-27.el6_5.3.x86_64.rpm
php-gd-5.3.3-27.el6_5.3.x86_64.rpm
php-ldap-5.3.3-27.el6_5.3.x86_64.rpm
php-mysql-5.3.3-27.el6_5.3.x86_64.rpm
php-odbc-5.3.3-27.el6_5.3.x86_64.rpm
php-pdo-5.3.3-27.el6_5.3.x86_64.rpm
php-pgsql-5.3.3-27.el6_5.3.x86_64.rpm
php-soap-5.3.3-27.el6_5.3.x86_64.rpm
php-xml-5.3.3-27.el6_5.3.x86_64.rpm
php-xmlrpc-5.3.3-27.el6_5.3.x86_64.rpm

Red Hat Enterprise Linux Server Optional EUS (v. 6.5):

Source:
php-5.3.3-27.el6_5.3.src.rpm

i386:
php-bcmath-5.3.3-27.el6_5.3.i686.rpm
php-dba-5.3.3-27.el6_5.3.i686.rpm
php-debuginfo-5.3.3-27.el6_5.3.i686.rpm
php-devel-5.3.3-27.el6_5.3.i686.rpm
php-embedded-5.3.3-27.el6_5.3.i686.rpm
php-enchant-5.3.3-27.el6_5.3.i686.rpm
php-fpm-5.3.3-27.el6_5.3.i686.rpm
php-imap-5.3.3-27.el6_5.3.i686.rpm
php-intl-5.3.3-27.el6_5.3.i686.rpm
php-mbstring-5.3.3-27.el6_5.3.i686.rpm
php-process-5.3.3-27.el6_5.3.i686.rpm
php-pspell-5.3.3-27.el6_5.3.i686.rpm
php-recode-5.3.3-27.el6_5.3.i686.rpm
php-snmp-5.3.3-27.el6_5.3.i686.rpm
php-tidy-5.3.3-27.el6_5.3.i686.rpm
php-zts-5.3.3-27.el6_5.3.i686.rpm

ppc64:
php-bcmath-5.3.3-27.el6_5.3.ppc64.rpm
php-dba-5.3.3-27.el6_5.3.ppc64.rpm
php-debuginfo-5.3.3-27.el6_5.3.ppc64.rpm
php-devel-5.3.3-27.el6_5.3.ppc64.rpm
php-embedded-5.3.3-27.el6_5.3.ppc64.rpm
php-enchant-5.3.3-27.el6_5.3.ppc64.rpm
php-fpm-5.3.3-27.el6_5.3.ppc64.rpm
php-imap-5.3.3-27.el6_5.3.ppc64.rpm
php-intl-5.3.3-27.el6_5.3.ppc64.rpm
php-mbstring-5.3.3-27.el6_5.3.ppc64.rpm
php-process-5.3.3-27.el6_5.3.ppc64.rpm
php-pspell-5.3.3-27.el6_5.3.ppc64.rpm
php-recode-5.3.3-27.el6_5.3.ppc64.rpm
php-snmp-5.3.3-27.el6_5.3.ppc64.rpm
php-tidy-5.3.3-27.el6_5.3.ppc64.rpm
php-zts-5.3.3-27.el6_5.3.ppc64.rpm

s390x:
php-bcmath-5.3.3-27.el6_5.3.s390x.rpm
php-dba-5.3.3-27.el6_5.3.s390x.rpm
php-debuginfo-5.3.3-27.el6_5.3.s390x.rpm
php-devel-5.3.3-27.el6_5.3.s390x.rpm
php-embedded-5.3.3-27.el6_5.3.s390x.rpm
php-enchant-5.3.3-27.el6_5.3.s390x.rpm
php-fpm-5.3.3-27.el6_5.3.s390x.rpm
php-imap-5.3.3-27.el6_5.3.s390x.rpm
php-intl-5.3.3-27.el6_5.3.s390x.rpm
php-mbstring-5.3.3-27.el6_5.3.s390x.rpm
php-process-5.3.3-27.el6_5.3.s390x.rpm
php-pspell-5.3.3-27.el6_5.3.s390x.rpm
php-recode-5.3.3-27.el6_5.3.s390x.rpm
php-snmp-5.3.3-27.el6_5.3.s390x.rpm
php-tidy-5.3.3-27.el6_5.3.s390x.rpm
php-zts-5.3.3-27.el6_5.3.s390x.rpm

x86_64:
php-bcmath-5.3.3-27.el6_5.3.x86_64.rpm
php-dba-5.3.3-27.el6_5.3.x86_64.rpm
php-debuginfo-5.3.3-27.el6_5.3.x86_64.rpm
php-devel-5.3.3-27.el6_5.3.x86_64.rpm
php-embedded-5.3.3-27.el6_5.3.x86_64.rpm
php-enchant-5.3.3-27.el6_5.3.x86_64.rpm
php-fpm-5.3.3-27.el6_5.3.x86_64.rpm
php-imap-5.3.3-27.el6_5.3.x86_64.rpm
php-intl-5.3.3-27.el6_5.3.x86_64.rpm
php-mbstring-5.3.3-27.el6_5.3.x86_64.rpm
php-process-5.3.3-27.el6_5.3.x86_64.rpm
php-pspell-5.3.3-27.el6_5.3.x86_64.rpm
php-recode-5.3.3-27.el6_5.3.x86_64.rpm
php-snmp-5.3.3-27.el6_5.3.x86_64.rpm
php-tidy-5.3.3-27.el6_5.3.x86_64.rpm
php-zts-5.3.3-27.el6_5.3.x86_64.rpm

These packages are GPG signed by Red Hat for security. Our key and
details on how to verify the signature are available from
https://access.redhat.com/security/team/key/

7. References:

https://access.redhat.com/security/cve/CVE-2014-3669
https://access.redhat.com/security/cve/CVE-2014-3670
https://access.redhat.com/security/updates/classification/#important

8. Contact:

The Red Hat security contact is <secalert@redhat.com>. More contact
details at https://access.redhat.com/security/team/contact/

Copyright 2015 Red Hat, Inc.
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1

iD8DBQFUrsyYXlSAg2UNWIIRAkNmAJ0eX3bxYkh2KnK7hFNT0Aaip5w00QCdGliM
QxFgB4TWU5SB6B+gbqTKHhE=
=SK/T
-----END PGP SIGNATURE-----


--
Enterprise-watch-list mailing list
Enterprise-watch-list@redhat.com
https://www.redhat.com/mailman/listinfo/enterprise-watch-list
Pro-Linux
Pro-Linux @Facebook
Neue Nachrichten
Werbung